clear
clc
close all hidden

%% Init random stream.

random_seed = mod(prod(1 + 1e6 * clock()), uint32(2^32));
random_stream = RandStream('mt19937ar', 'Seed', random_seed);
RandStream.setGlobalStream(random_stream);
    
%% Parameters.

% Structure size.
number_of_voxels = 192;

% Sample random structure parameters.
theta = sample_parameters();

%% Generate structure.

% If the connectivity conditions are not satisfied, BW is empty.
BW = generate_structure(theta, number_of_voxels);

%% Plot structure.

if ~isempty(BW)
    implay(BW)
else
    disp('Connectivity conditions are not satisfied, BW is empty.');
end