function theta = sample_parameters()

% Sample largest ratio between any two length scale parameters.
max_to_min_ratio = rand_uniform(1.0, 3.0);

% Sample smallest ratio between any two length scale parameters.
middle_to_min_ratio = rand_uniform(1.0, max_to_min_ratio);

% Sample average length scale.
a = [1.0, middle_to_min_ratio, max_to_min_ratio];
a_mean = rand_uniform(0.05, 0.20);
a = a / mean(a) * a_mean;

% Randomly permute length scale parameters.
idx = randperm(3);
ax = a(idx(1));
ay = a(idx(2));
az = a(idx(3));

% Sample porosity.
epsilon = rand_uniform(0.30, 0.85);

% Concatenate to parameter vector.
theta = cat(2, ax, ay, az, epsilon);

end